<?php
	
	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the feed reader plugin
	 */
	class PluginDeliciousConfigView extends AdminPluginTemplatedView
	{

		function PluginDeliciousConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "delicious", "delicious" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_delicious_enabled" );
			$userName = $blogSettings->getValue( "plugin_delicious_username" );
            $password = $blogSettings->getValue( "plugin_delicious_password" );
			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "userName", $userName );
			$this->setValue( "password", $password );
			
			parent::render();
		}
	}
?>